Package org.eclipse.birt.chart.event

# Interface IRenderInstruction

All Superinterfaces:
  `Comparable`

All Known Implementing Classes:
  `MarkerInstruction`, `WrappedInstruction`

public interface IRenderInstruction extends Comparable
A render instruction wraps a render event or several events. It could be used to compare with other events or instructions.

## Method Summary

Modifier and Type
Method
Description
`Bounds`
`getBounds()`
`PrimitiveRenderEvent`
`getEvent()`
Returns the associated event.
`int`
`getInstruction()`
Returns the associated instruction.
`List`
`getModel()`
`boolean`
`isModel()`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getInstruction

int getInstruction()
Returns the associated instruction.

Returns:
  The value could be one of these:
  - PrimitiveRenderEvent.DRAW
  - PrimitiveRenderEvent.FILL

### getEvent

PrimitiveRenderEvent getEvent()
Returns the associated event.

Returns:
  render event

### getBounds

Bounds getBounds()

Returns:
  Returns the minimum bounds required to contain the rendering area of associated rendering event.

### isModel

boolean isModel()

Returns:
  Returns if wraps multiple events currently.

### getModel

List getModel()

Returns:
  Returns list of events currently wraps.